﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ComponentModel;

namespace StyleBindings
{
	public class BaseItem : INotifyPropertyChanged
	{
		private string name;
		private bool selected;
		private bool expanded;
		private bool check;

		public BaseItem(string name, bool selected, bool expanded, bool check)
		{
			this.name = name;
			this.selected = selected;
			this.expanded = expanded;
			this.check = check;
		}

		public string Name
		{
			get
			{
				return this.name;
			}
			set
			{
				if (this.name != value)
				{
					this.name = value;
					this.NotifyPropertyChanged("Name");
				}
			}
		}
		public bool Selected
		{
			get
			{
				return this.selected;
			}
			set
			{
				if (this.selected != value)
				{
					this.selected = value;
					this.NotifyPropertyChanged("Selected");
				}
			}
		}
		public bool Expanded
		{
			get
			{
				return this.expanded;
			}
			set
			{
				if (this.expanded != value)
				{
					this.expanded = value;
					this.NotifyPropertyChanged("Expanded");
				}
			}
		}
		public bool Checked
		{
			get
			{
				return this.check;
			}
			set
			{
				if (this.check != value)
				{
					this.check = value;
					this.NotifyPropertyChanged("Checked");
				}
			}
		}

		public event PropertyChangedEventHandler PropertyChanged;
		
		private void NotifyPropertyChanged(string propertyName)
		{
			if (PropertyChanged != null)
			{
				PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
			}
		}
	}
}
