﻿using System.Collections.ObjectModel;
using System.ComponentModel;

namespace StyleBindings
{
	public class Organization : BaseItem
	{
		public Organization(string name, bool selected, bool expanded, bool check)
			: base(name, selected, expanded, check)
		{
			this.Departments = new ObservableCollection<Department>();
		}

		public ObservableCollection<Department> Departments { get; set; }

		public event PropertyChangedEventHandler PropertyChanged;

		private void NotifyPropertyChanged(string propertyName)
		{
			if (PropertyChanged != null)
			{
				PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
			}
		}
	}
}
