﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace StyleBindings
{
	/// <summary>
	/// Interaction logic for Window1.xaml
	/// </summary>
	public partial class Window1 : Window
	{
		OrganizationsDataSource dataSource = new OrganizationsDataSource();
		
		public Window1()
		{
			InitializeComponent();
			this.treeView1.ItemsSource = this.dataSource;
		}

		private void Button_Click(object sender, RoutedEventArgs e)
		{
			List<BaseItem> checkedItems = new List<BaseItem>();
			foreach(Organization organization in this.dataSource)
			{
				if(organization.Checked)
				{
					checkedItems.Add(organization);
				}
				
				foreach(Department department in organization.Departments)
				{
					if(department.Checked)
					{
						checkedItems.Add(department);
					}
					
					foreach(Employee employee in department.Employees)
					{
						if(employee.Checked)
						{
							checkedItems.Add(employee);
						}
					}
				}
			}
			
			this.checkedItemsListBox.ItemsSource = checkedItems;
		}
	}
}
